from typing import TypedDict


class UploadedFile(TypedDict):
    """
- Contains data about a file uploaded using [_input_file_](../ppa.ui/#input_file)

!!! danger "All UploadedFile Keys"

    __data__: File contents.

    __filename__: Original filename.

    __size__: Size of the file in bytes.

    __type__: Content type (if the browser was able to detect it).
    """

    data: str
    filename: str
    size: int
    type: str
